<?php

namespace App\Http\Controllers;

use App\Models\Criteria;
use App\Models\SubCriteria;
use Illuminate\Http\Request;
use App\Models\Extracuricullar;

class DashboardController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $jumlahEkstra = Extracuricullar::count();
        $jumlahKriteria = Criteria::count();
        $jumlahSubKriteria = SubCriteria::count();
        $criterias = Criteria::all();
        $extracuricullars = Extracuricullar ::paginate(5);
        $subcriterias = Subcriteria::paginate(5);

        return view('dashboard.index', compact('jumlahEkstra','jumlahKriteria','jumlahSubKriteria', 'criterias', 'subcriterias', 'extracuricullars'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
